Name: H5Pset_alloc_time
Signature:
  herr_t `H5Pset_alloc_time`(hid_t `plist_id`, H5D_alloc_time_t `alloc_time` )
Purpose:
  Sets the timing for storage space allocation.
Description:
  `H5Pset_alloc_time` sets up the timing for the allocation of storage space for a dataset's raw data. This property is set in the dataset creation property list `plist_id`.

  Timing is specified in `alloc_time` with one of the following values:

  | `H5D_ALLOC_TIME_DEFAULT` | Allocate dataset storage space at the default time. (Defaults differ by storage method.)
  `H5D_ALLOC_TIME_EARLY` | Allocate all space when the dataset is created. (Default for compact datasets.)
  `H5D_ALLOC_TIME_INCR` | Allocate space incrementally, as data is written to the dataset. (Default for chunked storage datasets.) Chunked datasets: Storage space allocation for each chunk is deferred until data is written to the chunk. Contiguous datasets: Incremental storage space allocation for contiguous data is treated as late allocation. Compact datasets: Incremental allocation is not allowed with compact datasets; `H5Pset_alloc_time` will return an error.
  `H5D_ALLOC_TIME_LATE` | Allocate all space when data is first written to the dataset. (Default for contiguous datasets.)

Note:
  `H5Pset_alloc_time` is designed to work in concert with the dataset fill value and fill value write time properties, set with the functions `H5Pset_fill_value` and `H5Pset_fill_time`.

  See H5Dcreate for further cross-references.

Parameters:

hid_t `plist_id` | IN: Dataset creation property list identifier.
H5D_alloc_time_t `alloc_time` | IN: When to allocate dataset storage space.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_alloc_time_f

      SUBROUTINE h5pset_alloc_time_f(plist_id, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plist_id  ! Dataset creation property
                                                ! list identifier
        INTEGER(HSIZE_T), INTENT(IN) :: flag    ! Allocation time flag
                                                ! Possible values are:
                                                !    H5D_ALLOC_TIME_ERROR_F
                                                !    H5D_ALLOC_TIME_DEFAULT_F
                                                !    H5D_ALLOC_TIME_EARLY_F
                                                !    H5D_ALLOC_TIME_LATE_F
                                                !    H5D_ALLOC_TIME_INCR_F

        INTEGER, INTENT(OUT)       :: hdferr    ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_alloc_time_f

History:

Release | C
1.6.0 | Function introduced in this release.